Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# ParticipantEntity

extends Object
implements Parcelable Participant

java.lang.Object
↳ | com.google.android.gms.games.multiplayer.ParticipantEntity

## Class Overview

Data object representing a Participant in a match. This is immutable, and therefore safe to cache or store. Note, however, that the data it represents may grow stale.

This class exists solely to support parceling these objects and should not be used directly.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

From interface com.google.android.gms.games.multiplayer.Participant

int | STATUS_DECLINED | Constant indicating that this participant has declined the invitation.
int | STATUS_FINISHED | Constant indicating that this participant is finished with this match.
int | STATUS_INVITED | Constant indicating that this participant has been sent an invitation.
int | STATUS_JOINED | Constant indicating that this participant has accepted the invitation and is joined.
int | STATUS_LEFT | Constant indicating that this participant joined a multiplayer game and subsequently left.
int | STATUS_NOT_INVITED_YET | Constant indicating that this participant has not yet been sent an invitation.
int | STATUS_UNRESPONSIVE | Constant indicating that this participant did not respond to the match in the alloted time.

Fields
public static final Creator<ParticipantEntity> | CREATOR |

Public Methods
int | describeContents()
boolean | equals(Object obj)
Participant | freeze() Freeze a volatile representation into an immutable representation.
String | getDisplayName() Return the name to display for this participant.
void | getDisplayName(CharArrayBuffer dataOut) Loads the display name for this participant into the provided `CharArrayBuffer`.
Uri | getHiResImageUri() Returns the URI of the hi-res image to display for this participant.
Uri | getIconImageUri() Returns the URI of the icon-sized image to display for this participant.
String | getParticipantId() Returns the ID of this participant.
Player | getPlayer() Returns the `Player` that this participant represents.
ParticipantResult | getResult() Returns the `ParticipantResult` associated with this participant, if any.
int | getStatus() Retrieve the status of this participant.
int | hashCode()
boolean | isConnectedToRoom() Retrieves the connected status of the participant.
boolean | isDataValid() Check to see if this object is valid for use.
String | toString()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

From interface com.google.android.gms.games.multiplayer.Participant

abstract String | getDisplayName() Return the name to display for this participant.
abstract void | getDisplayName(CharArrayBuffer dataOut) Loads the display name for this participant into the provided `CharArrayBuffer`.
abstract Uri | getHiResImageUri() Returns the URI of the hi-res image to display for this participant.
abstract Uri | getIconImageUri() Returns the URI of the icon-sized image to display for this participant.
abstract String | getParticipantId() Returns the ID of this participant.
abstract Player | getPlayer() Returns the `Player` that this participant represents.
abstract ParticipantResult | getResult() Returns the `ParticipantResult` associated with this participant, if any.
abstract int | getStatus() Retrieve the status of this participant.
abstract boolean | isConnectedToRoom() Retrieves the connected status of the participant.

## Fields

#### public static final Creator<ParticipantEntity> CREATOR

## Public Methods

#### public int describeContents ()

#### public boolean equals (Object obj)

#### public Participant freeze ()

Freeze a volatile representation into an immutable representation. Objects returned from this call are safe to cache.

Note that the output of `freeze` may not be identical to the parent object, but should be equal. In other words:

     Freezable f1 = new Freezable();
     Freezable f2 = f1.freeze();
     f1 == f2 may not be true.
     f1.equals(f2) will be true.

##### Returns

- A concrete implementation of the data object.

#### public String getDisplayName ()

Return the name to display for this participant. If the identity of the player is unknown, this will be a generic handle to describe the player.

##### Returns

- Display name of the participant.

#### public void getDisplayName (CharArrayBuffer dataOut)

Loads the display name for this participant into the provided `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public Uri getHiResImageUri ()

Returns the URI of the hi-res image to display for this participant. If the identity of the player is unknown, this will be null. It may also be null if the player simply has no image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The URI of the hi-res image to display for this participant.

#### public Uri getIconImageUri ()

Returns the URI of the icon-sized image to display for this participant. If the identity of the player is unknown, this will be the automatch avatar icon image for the player. It may also be null if the player simply has no image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The URI of the icon image to display for this participant.

#### public String getParticipantId ()

Returns the ID of this participant. Note that this is only valid for use in the current multiplayer room or match: a participant will not have the same ID across multiple rooms or matches.

##### Returns

- The ID of this participant.

#### public Player getPlayer ()

Returns the `Player` that this participant represents. Note that this may be null if the identity of the player is unknown. This occurs in automatching scenarios where some players are not permitted to see the real identity of others.

##### Returns

- The `Player` corresponding to this participant.

#### public ParticipantResult getResult ()

Returns the `ParticipantResult` associated with this participant, if any. Only applies to turn-based match participants.

##### Returns

- The `ParticipantResult` for this participant, or null if not applicable.

#### public int getStatus ()

Retrieve the status of this participant.

Possible status values for room participants are `STATUS_INVITED`, `STATUS_JOINED`, `STATUS_DECLINED`, and `STATUS_LEFT`.

Possible status values for turn-based match participants are all of the above, `STATUS_NOT_INVITED_YET`, `STATUS_FINISHED`, and `STATUS_UNRESPONSIVE`.

##### Returns

- Status of this participant.

#### public int hashCode ()

#### public boolean isConnectedToRoom ()

Retrieves the connected status of the participant. If true indicates that participant is in the connected set of the room. Only applies to room participants.

##### Returns

- Connected status of the participant.

#### public boolean isDataValid ()

Check to see if this object is valid for use. If the object is still volatile, this method will indicate whether or not the object can be safely used. The output of a call to `freeze()` will always be valid.

##### Returns

- whether or not the object is valid for use.

#### public String toString ()

#### public void writeToParcel (Parcel dest, int flags)